summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNikolas Hermanns <nikolas.hermanns@ericsson.com>2016-12-01 12:51:28 -0500
committerNikolas Hermanns <nikolas.hermanns@ericsson.com>2017-01-13 13:20:00 +0100
commit7cd3e80f8d34cb998d1cae1af58afdda406d5a3b (patch)
treefd27571499180cc0d876cf56b56e956ac4d348cb /contrib
parent9829882656dfed80c77316d03f4843689fe69bb6 (diff)
Adding an easy install Script
This script is for new commers. It deployes apex in the most easiest way. People can just execute it and see what happens. As well the script is so short and easy that they directly see what needs to be done. Change-Id: I02c9773ad6df154c735024de2ffd02254c8f67bb Signed-off-by: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
Diffstat (limited to 'contrib')
-rw-r--r--contrib/simple_deploy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/contrib/simple_deploy.sh b/contrib/simple_deploy.sh
new file mode 100644
index 00000000..f4b082ae
--- /dev/null
+++ b/contrib/simple_deploy.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+export CONFIG=$apex_home/build
+export LIB=$apex_home/lib
+export RESOURCES=$apex_home/.build/images/
+export PYTHONPATH=$PYTHONPATH:$apex_home/lib/python
+$apex_home/ci/dev_dep_check.sh
+pushd $apex_home/build
+make clean
+make undercloud
+make overcloud-opendaylight
+pushd $apex_home/ci
+./clean.sh
+./dev_dep_check.sh
+out=/tmp/opnfv-deploy.out
+echo "All further output will be piped to $out"
+(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &> $out &)
+popd